TelepathyQt4: Tp::Message Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::Message Class Reference
[Channel proxies]

The Message class represents a Telepathy message in a text channel. These objects are implicitly shared, like QString. More...

`#include <TelepathyQt4/TextChannel>`

Inherited by Tp::ReceivedMessage.

List of all members.

## Public Member Functions

- Message (ChannelTextMessageType, const QString &)
- Message (const Message &other)
- ~Message ()
- Message & operator= (const Message &other)
- bool operator== (const Message &other) const
- bool operator!= (const Message &other) const
- QDateTime sent () const
- ChannelTextMessageType messageType () const
- bool isTruncated () const
- bool hasNonTextContent () const
- QString messageToken () const
- bool isSpecificToDBusInterface () const
- QString dbusInterface () const
- QString text () const
- MessagePart header () const
- int size () const
- MessagePart part (uint index) const
- MessagePartList parts () const

## Detailed Description

The Message class represents a Telepathy message in a text channel. These objects are implicitly shared, like QString.

## Constructor & Destructor Documentation

Tp::Message::Message | ( | ChannelTextMessageType | type,
|  | const QString & | text |
| ) |  |  |

Constructor, from the parameters of the old Send method.

Parameters:

  | type | The message type
  | text | The text of the message

Tp::Message::Message | ( | const Message & | other | ) |

Copy constructor.

Tp::Message::~Message | ( |  | ) |

Class destructor.

## Member Function Documentation

Message & Tp::Message::operator= | ( | const Message & | other | ) |

Assignment operator.

bool Tp::Message::operator== | ( | const Message & | other | ) | const

Equality operator.

bool Tp::Message::operator!= | ( | const Message & | other | ) | const`[inline]`

QDateTime Tp::Message::sent | ( |  | ) | const

Return the time the message was sent, or QDateTime() if that time is unknown.

Returns:
  A timestamp

ChannelTextMessageType Tp::Message::messageType | ( |  | ) | const

Return the type of message this is, or ChannelTextMessageTypeNormal if the type is not recognised.

Returns:
  The ChannelTextMessageType for this message

bool Tp::Message::isTruncated | ( |  | ) | const

Return whether this message was truncated during delivery.

bool Tp::Message::hasNonTextContent | ( |  | ) | const

Return whether this message contains parts not representable as plain text.

Returns:
  true if this message cannot completely be represented as plain text

QString Tp::Message::messageToken | ( |  | ) | const

Return the unique token identifying this message (e.g. the id attribute for XMPP messages), or an empty string if there is no suitable token.

Returns:
  A non-empty message identifier, or an empty string if none

bool Tp::Message::isSpecificToDBusInterface | ( |  | ) | const

Return whether this message is specific to a D-Bus interface. This is false in almost all cases.

If this function returns true, the message is specific to the interface indicated by dbusInterface. Clients that don't understand that interface should not display the message. However, if the client would acknowledge an ordinary message, it must also acknowledge this interface-specific message.

Returns:
  true if dbusInterface would return a non-empty string

QString Tp::Message::dbusInterface | ( |  | ) | const

Return the D-Bus interface to which this message is specific, or an empty string for normal messages.

QString Tp::Message::text | ( |  | ) | const

MessagePart Tp::Message::header | ( |  | ) | const

Return the message's header part, as defined by the Telepathy D-Bus API specification. This is provided for advanced clients that need to access additional information not available through the normal Message API.

Returns:
  The same thing as messagepart(0)

int Tp::Message::size | ( |  | ) | const

Return the number of parts in this message.

Returns:
  1 greater than the largest valid argument to part

MessagePart Tp::Message::part | ( | uint | index | ) | const

Return the message's header part, as defined by the Telepathy D-Bus API specification. This is provided for advanced clients that need to access additional information not available through the normal Message API.

Parameters:

  | index | The part to access, which must be strictly less than size(); part number 0 is the header, parts numbered 1 or greater are the body of the message.

Returns:
  Part of the message

MessagePartList Tp::Message::parts | ( |  | ) | const